Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1607124 (rust-cargo) - Review Request: rust-cargo - Cargo, a package manager for Rust
Summary: Review Request: rust-cargo - Cargo, a package manager for Rust
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-cargo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 08:18 UTC by Igor Gnatenko
Modified: 2018-07-30 07:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 07:27:33 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2018-07-22 08:18:56 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-cargo.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-cargo-0.28.0-1.fc29.src.rpm
Description:
Cargo, a package manager for Rust.
Fedora Account System Username: ignatenkobrain

Comment 1 Robert-André Mauchin 2018-07-22 17:59:27 UTC
DEBUG util.py:489:  BUILDSTDERR: No matching package to install: '(crate(termcolor) >= 0.3.0 with crate(termcolor) < 0.4.0)'

Comment 2 Igor Gnatenko 2018-07-22 19:02:12 UTC
(In reply to Robert-André Mauchin from comment #1)
> DEBUG util.py:489:  BUILDSTDERR: No matching package to install:
> '(crate(termcolor) >= 0.3.0 with crate(termcolor) < 0.4.0)'

I will patch it, it's just bump. Anything else?

Comment 3 Robert-André Mauchin 2018-07-22 20:18:11 UTC
I can't build it so I can't continue the review without the patch.

I'll patch it myself then.

Tests failures:

failures:
---- build_auth::http_auth_offered stdout ----
	running `/builddir/build/BUILD/cargo-0.28.0/target/release/cargo build -v`
running `/builddir/build/BUILD/cargo-0.28.0/target/release/cargo build`
thread 'build_auth::http_auth_offered' panicked at 'called `Option::unwrap()` on a `None` value', libcore/option.rs:335:21
---- build_script::custom_build_env_var_rustc_linker stdout ----
	thread 'build_script::custom_build_env_var_rustc_linker' panicked at 'Cannot cross compile to i686-unknown-linux-gnu.
This failure can be safely ignored. If you would prefer to not see this
failure, you can set the environment variable CFG_DISABLE_CROSS_TESTS to "1".
', tests/testsuite/cargotest/support/cross_compile.rs:91:5
---- new::author_prefers_cargo stdout ----
	thread 'new::author_prefers_cargo' panicked at 'called `Result::unwrap()` on an `Err` value: Os { code: 2, kind: NotFound, message: "No such file or directory" }
could not execute process `git config --global user.name foo` (never executed)', libcore/result.rs:945:5
---- new::finds_author_git stdout ----
	thread 'new::finds_author_git' panicked at 'called `Result::unwrap()` on an `Err` value: Os { code: 2, kind: NotFound, message: "No such file or directory" }
could not execute process `git config --global user.name bar` (never executed)', libcore/result.rs:945:5
---- new::finds_local_author_git stdout ----
	thread 'new::finds_local_author_git' panicked at 'called `Result::unwrap()` on an `Err` value: Os { code: 2, kind: NotFound, message: "No such file or directory" }
could not execute process `git init` (never executed)', libcore/result.rs:945:5
failures:
    build_auth::http_auth_offered
    build_script::custom_build_env_var_rustc_linker
    new::author_prefers_cargo
    new::finds_author_git
    new::finds_local_author_git
test result: FAILED. 1280 passed; 5 failed; 4 ignored; 0 measured; 0 filtered out

Comment 4 Robert-André Mauchin 2018-07-22 20:34:50 UTC
The last 3 tests fail because you're missing git-core as a BR for the tests.

Comment 6 Robert-André Mauchin 2018-07-22 22:54:53 UTC
Same tests still fail:

failures:

BUILDSTDERR: thread '<unnamed>' panicked at 'assertion failed: `(left == right)`
BUILDSTDERR:   left: `{"Accept: */*", "User-Agent: git/2.0 (libgit2 0.26.5)", "GET /foo/bar/info/refs?service=git-upload-pack HTTP/1.1"}`,
BUILDSTDERR:  right: `{"Accept: */*", "User-Agent: git/2.0 (libgit2 0.27.0)", "GET /foo/bar/info/refs?service=git-upload-pack HTTP/1.1"}`', tests/testsuite/build_auth.rs:40:9
BUILDSTDERR: note: Run with `RUST_BACKTRACE=1` for a backtrace.
test build_auth::http_auth_offered ... FAILED

---- build_auth::http_auth_offered stdout ----
	running `/builddir/build/BUILD/cargo-0.28.0/target/release/cargo build -v`
running `/builddir/build/BUILD/cargo-0.28.0/target/release/cargo build`
thread 'build_auth::http_auth_offered' panicked at 'called `Option::unwrap()` on a `None` value', libcore/option.rs:335:21
---- build_script::custom_build_env_var_rustc_linker stdout ----
	thread 'build_script::custom_build_env_var_rustc_linker' panicked at 'Cannot cross compile to i686-unknown-linux-gnu.
This failure can be safely ignored. If you would prefer to not see this
failure, you can set the environment variable CFG_DISABLE_CROSS_TESTS to "1".
', tests/testsuite/cargotest/support/cross_compile.rs:91:5
failures:
    build_auth::http_auth_offered
    build_script::custom_build_env_var_rustc_linker
test result: FAILED. 1283 passed; 2 failed; 4 ignored; 0 measured; 0 filtered out


You could choose to ignore it although finding why it fails would be better.


Another problem: you must install the license files with %license in %files.

Comment 7 Josh Stone 2018-07-24 19:01:09 UTC
That User-Agent difference is just from using Fedora's libgit2 rather than the bundled one in rust-libgit2-sys.  Perhaps that test should be using a regex to match the strings, so the exact libgit2 version doesn't matter.

I'm already worried about the ABI in rust-libgit2-sys, as noted in bug 1584928, but that's at a deeper level than just the agent string.

Comment 8 Robert-André Mauchin 2018-07-29 23:41:30 UTC
Works in Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=28702523

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - you must install the license files with %license in %files.

Package approved but don't forget to install the %license files.

Comment 9 Igor Gnatenko 2018-07-30 05:52:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-cargo


Note You need to log in before you can comment on or make changes to this bug.